Package org.apache.calcite.avatica

## Interface MetaImpl.Named

All Known Implementing Classes:
  `MetaImpl.MetaCatalog`, `MetaImpl.MetaColumn`, `MetaImpl.MetaSchema`, `MetaImpl.MetaTable`, `MetaImpl.MetaTypeInfo`

Enclosing class:
  MetaImpl

    public static interface MetaImpl.Named

An object that has a name.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getName()`

### Method Detail

#### getName

    java.lang.String getName()